# SourcePath: atk/20171215dev
Summary: An accessibility toolkit for GNOME.
Name: sony-target-dev-atk
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-atk
Version: 2.25.2
Release: 12010001
Source: atk-%{version}.tar.xz
License: GPLv2+ & LGPLv2+ 
URL: ftp://ftp.gnome.org/pub/GNOME/sources/atk
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-glib

%description
The ATK library provides a set of accessibility interfaces. By
supporting the ATK interfaces, an application or toolkit can be used
with screen readers, magnifiers, and alternate input devices.

%package -n %{pkgname}
Summary: An accessibility toolkit for GNOME.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The ATK library provides a set of accessibility interfaces. By
supporting the ATK interfaces, an application or toolkit can be used
with screen readers, magnifiers, and alternate input devices.

%prep
%setup -n atk-%{version}

%build
%sony_target_dev_setup
%sony_target_dev_configure --disable-glibtest --enable-gtk-doc-html=no --disable-introspection
make 

%install
%sony_target_dev_setup
rm -rf %{buildroot}
%sony_target_dev_makeinstall
mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
%demangle_libtool

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_devtool_include_dir}/atk-1.0/atk/atk*
%{sony_target_dir}%{sony_target_dev_lib_dir}/libatk*
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/atk.pc

%changelog
* Mon May 10 2021 Sony Corporation
- Initial build for CE Linux 12.1.0.X

* Fri Dec 15 2017 Sony Corporation
- Version up 2.9.3 -> 2.25.2

* Fri Aug 23 2013 Sony Corporation
- Version up 1.22.0 -> 2.9.3

* Tue Jun 17 2008 Sony Corporation
- Initial build
